<?php
session_start();
include_once('../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
	if(!isset($_POST['namenew']) or $_POST['namenew'] == ""){
		$return['type'] = 1;
		$return['text'] = 'Vui lòng nhập tên nhân vật mới.';		
	} else {
	// check tồn tại hay không	
	$get_check = mysqli_query($conn, "Select * From account_web WHERE Account = '".$_POST['user']."'");
	if(mysqli_num_rows($get_check)){
	// check char
$get_MayChu = mysqli_query($conn, "Select * From config_server WHERE ServerID = '".$_POST['sv']."'");
if(!mysqli_num_rows($get_MayChu)){
	die('Máy chủ không hợp lệ');
}
$get_MayChu = mysqli_fetch_array($get_MayChu, MYSQLI_ASSOC);
$conn_NV = @mysqli_connect('171.244.9.115', $username, $password,$get_MayChu['Databases']);
if ($conn_NV->mysqli_connect_errno) {
    die("Connection failed: " . $conn_NV->mysqli_connect_errno);
}
// Create connection	
	$get_Check_Char = mysqli_query($conn_NV, "Select * from Player WHERE Account = '".$_POST['user']."' and ID = '".$_POST['charid']."'");
	if(mysqli_num_rows($get_Check_Char)){
	mysqli_query($conn_NV, "UPDATE Player Set PlayerName = N'".$_POST['namenew']."' WHERE Account = '".$_POST['user']."' and ID = '".$_POST['charid']."'");
		$return['type'] = 0;
		$return['text'] = 'Đổi tên Nhân vật thành công.';
	} else {
		$return['type'] = 1;
		$return['text'] = 'Nhân vật không tồn tại.';		
	}
		} else {
		$return['type'] = 1;
		$return['text'] = 'Tài khoản này không tồn tại.';
	}
	}
		echo json_encode($return);
		exit();	
}

?>